﻿// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.
// See the LICENSE file in the project root for more information.

using System.Runtime.InteropServices;

internal static partial class Interop
{
    internal static partial class User32
    {
        [DllImport(Libraries.User32, ExactSpelling = true)]
        public static extern BOOL EnableWindow(IntPtr hWnd, BOOL bEnable);

        public static BOOL EnableWindow(HandleRef hWnd, BOOL bEnable)
        {
            BOOL result = EnableWindow(hWnd.Handle, bEnable);
            GC.KeepAlive(hWnd.Wrapper);
            return result;
        }
    }
}
